Search Results for

Show / Hide Table of Contents

# Class TreeStyle

Defines rendering options that affect how the tree is displayed

##### Inheritance

System.Object
TreeStyle

###### Namespace: Terminal.Gui.Trees

###### Assembly: Terminal.Gui.dll

##### Syntax

    public class TreeStyle : Object

### Constructors

#### TreeStyle()

##### Declaration

    public TreeStyle()

### Properties

#### CollapseableSymbol

Symbol to use for branch nodes that can be collapsed (are currently expanded). Defaults to '-'. Set to null to hide

##### Declaration

    public Nullable<Rune> CollapseableSymbol { get; set; }

##### Property Value

Type | Description
--- | ---
System.Nullable<System.Rune> |

#### ColorExpandSymbol

Set to true to highlight expand/collapse symbols in hot key color

##### Declaration

    public bool ColorExpandSymbol { get; set; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

#### ExpandableSymbol

Symbol to use for branch nodes that can be expanded to indicate this to the user. Defaults to '+'. Set to null to hide

##### Declaration

    public Nullable<Rune> ExpandableSymbol { get; set; }

##### Property Value

Type | Description
--- | ---
System.Nullable<System.Rune> |

#### InvertExpandSymbolColors

Invert console colours used to render the expand symbol

##### Declaration

    public bool InvertExpandSymbolColors { get; set; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

#### LeaveLastRow

True to leave the last row of the control free for overwritting (e.g. by a scrollbar) When True scrolling will be triggered on the second last row of the control rather than the last.

##### Declaration

    public bool LeaveLastRow { get; set; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

#### ShowBranchLines

True to render vertical lines under expanded nodes to show which node belongs to which parent. False to use only whitespace

##### Declaration

    public bool ShowBranchLines { get; set; }

##### Property Value

Type | Description
--- | ---
System.Boolean |